cdac.medinfo.sdk.hl7282.utils

## Enum EnumMessageStructure

- java.lang.Object
- - java.lang.Enum<EnumMessageStructure>
  - - cdac.medinfo.sdk.hl7282.utils.EnumMessageStructure

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumMessageStructure>

      public enum EnumMessageStructure
      extends java.lang.Enum<EnumMessageStructure>

  This Enum contains all Message Structures of HL7.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACK` Enum constant of ACK Message Structure
    `ACK_I07` Enum constant of ACK_I07 Message Structure
    `ADT_A01` Enum constant of ADT_A01 Message Structure
    `ADT_A02` Enum constant of ADT_A02 Message Structure
    `ADT_A03` Enum constant of ADT_A03 Message Structure
    `ADT_A05` Enum constant of ADT_A05 Message Structure
    `ADT_A06` Enum constant of ADT_A06 Message Structure
    `ADT_A09` Enum constant of ADT_A09 Message Structure
    `ADT_A12` Enum constant of ADT_A12 Message Structure
    `ADT_A15` Enum constant of ADT_A15 Message Structure
    `ADT_A16` Enum constant of ADT_A16 Message Structure
    `ADT_A17` Enum constant of ADT_A17 Message Structure
    `ADT_A20` Enum constant of ADT_A20 Message Structure
    `ADT_A21` Enum constant of ADT_A21 Message Structure
    `ADT_A24` Enum constant of ADT_A24 Message Structure
    `ADT_A37` Enum constant of ADT_A37 Message Structure
    `ADT_A38` Enum constant of ADT_A38 Message Structure
    `ADT_A39` Enum constant of ADT_A39 Message Structure
    `ADT_A43` Enum constant of ADT_A43 Message Structure
    `ADT_A44` Enum constant of ADT_A44 Message Structure
    `ADT_A45` Enum constant of ADT_A45 Message Structure
    `ADT_A47` Enum constant of ADT_A47 Message Structure
    `ADT_A50` Enum constant of ADT_A50 Message Structure
    `ADT_A52` Enum constant of ADT_A52 Message Structure
    `ADT_A54` Enum constant of ADT_A54 Message Structure
    `ADT_A60` Enum constant of ADT_A60 Message Structure
    `ADT_A61` Enum constant of ADT_A61 Message Structure
    `BAR_P01` Enum constant of BAR_P01 Message Structure
    `BAR_P02` Enum constant of BAR_P02 Message Structure
    `BAR_P05` Enum constant of BAR_P05 Message Structure
    `BAR_P06` Enum constant of BAR_P06 Message Structure
    `BAR_P10` Enum constant of BAR_P10 Message Structure
    `BAR_P12` Enum constant of BAR_P12 Message Structure
    `BPS_O29` Enum constant of BPS_O29 Message Structure
    `BRP_O30` Enum constant of BRP_O30 Message Structure
    `BRT_O32` Enum constant of BRT_O32 Message Structure
    `BTS_O31` Enum constant of BTS_O31 Message Structure
    `CCF_I22` Enum constant of CCF_I22 Message Structure
    `CCI_I22` Enum constant of CCI_I22 Message Structure
    `CCM_I21` Enum constant of CCM_I21 Message Structure
    `CCQ_I19` Enum constant of CCQ_I19 Message Structure
    `CCR_I16` Enum constant of CCR_I16 Message Structure
    `CCR_I17` Enum constant of CCR_I17 Message Structure
    `CCR_I18` Enum constant of CCR_I18 Message Structure
    `CCU_I20` Enum constant of CCU_I20 Message Structure
    `CQU_I19` Enum constant of CQU_I19 Message Structure
    `CRM_C01` Enum constant of CRM_C01 Message Structure
    `CSU_C09` Enum constant of CSU_C09 Message Structure
    `DBC_O41` Enum constant of DBC_O41 Message Structure
    `DBU_O42` Enum constant of DBU_O42 Message Structure
    `DEL_O46` Enum constant of DEL_O46 Message Structure
    `DEO_O45` Enum constant of DEO_O45 Message Structure
    `DER_O44` Enum constant of DER_O44 Message Structure
    `DFT_P03` Enum constant of DFT_P03 Message Structure
    `DFT_P11` Enum constant of DFT_P11 Message Structure
    `DPR_O48` Enum constant of DPR_O48 Message Structure
    `DRC_O47` Enum constant of DRC_O47 Message Structure
    `DRG_O43` Enum constant of DRG_O43 Message Structure
    `DSR_P04` Enum constant of DSR_P04 Message Structure
    `DSR_Q01` Enum constant of DSR_Q01 Message Structure
    `DSR_Q03` Enum constant of DSR_Q03 Message Structure
    `EAC_U07` Enum constant of EAC_U07 Message Structure
    `EAN_U09` Enum constant of EAN_U09 Message Structure
    `EAR_U08` Enum constant of EAR_U08 Message Structure
    `EDR_R07` Enum constant of EDR_R07 Message Structure
    `EHC_E01` Enum constant of EHC_E01 Message Structure
    `EHC_E02` Enum constant of EHC_E02 Message Structure
    `EHC_E04` Enum constant of EHC_E04 Message Structure
    `EHC_E10` Enum constant of EHC_E10 Message Structure
    `EHC_E12` Enum constant of EHC_E12 Message Structure
    `EHC_E13` Enum constant of EHC_E13 Message Structure
    `EHC_E15` Enum constant of EHC_E15 Message Structure
    `EHC_E20` Enum constant of EHC_E20 Message Structure
    `EHC_E21` Enum constant of EHC_E21 Message Structure
    `EHC_E24` Enum constant of EHC_E24 Message Structure
    `EHC_E30` Enum constant of EHC_E30 Message Structure
    `EHC_E31` Enum constant of EHC_E31 Message Structure
    `EQQ_Q04` Enum constant of EQQ_Q04 Message Structure
    `ERP_R09` Enum constant of ERP_R09 Message Structure
    `ESR_U02` Enum constant of ESR_U02 Message Structure
    `ESU_U01` Enum constant of ESU_U01 Message Structure
    `INR_U06` Enum constant of INR_U06 Message Structure
    `INU_U05` Enum constant of INU_U05 Message Structure
    `LSU_U12` Enum constant of LSU_U12 Message Structure
    `MDM_T01` Enum constant of MDM_T01 Message Structure
    `MDM_T02` Enum constant of MDM_T02 Message Structure
    `MFD_MFA` Enum constant of MFD_MFA Message Structure
    `MFK_M01` Enum constant of MFK_M01 Message Structure
    `MFN_M02` Enum constant of MFN_M02 Message Structure
    `MFN_M04` Enum constant of MFN_M04 Message Structure
    `MFN_M05` Enum constant of MFN_M05 Message Structure
    `MFN_M06` Enum constant of MFN_M06 Message Structure
    `MFN_M07` Enum constant of MFN_M07 Message Structure
    `MFN_M08` Enum constant of MFN_M08 Message Structure
    `MFN_M09` Enum constant of MFN_M09 Message Structure
    `MFN_M10` Enum constant of MFN_M10 Message Structure
    `MFN_M11` Enum constant of MFN_M11 Message Structure
    `MFN_M12` Enum constant of MFN_M12 Message Structure
    `MFN_M13` Enum constant of MFN_M13 Message Structure
    `MFN_M15` Enum constant of MFN_M15 Message Structure
    `MFN_M16` Enum constant of MFN_M16 Message Structure
    `MFN_M17` Enum constant of MFN_M17 Message Structure
    `MFN_M18` Enum constant of MFN_M18 Message Structure
    `MFQ_M01` Enum constant of MFQ_M01 Message Structure
    `MFR_M01` Enum constant of MFR_M01 Message Structure
    `NMD_N02` Enum constant of NMD_N02 Message Structure
    `NMR_N01` Enum constant of NMR_N01 Message Structure
    `OMB_O27` Enum constant of OMB_O27 Message Structure
    `OMD_O03` Enum constant of OMD_O03 Message Structure
    `OMG_O19` Enum constant of OMG_O19 Message Structure
    `OMI_O23` Enum constant of OMI_O23 Message Structure
    `OML_O21` Enum constant of OML_O21 Message Structure
    `OML_O33` Enum constant of OML_O33 Message Structure
    `OML_O35` Enum constant of OML_O35 Message Structure
    `OML_O39` Enum constant of OML_O39 Message Structure
    `OMN_O07` Enum constant of OMN_O07 Message Structure
    `OMP_O09` Enum constant of OMP_O09 Message Structure
    `OMQ_O42` Enum constant of OMQ_O42 Message Structure
    `OMS_O05` Enum constant of OMS_O05 Message Structure
    `OPL_O37` Enum constant of OPL_O37 Message Structure
    `OPR_O38` Enum constant of OPR_O38 Message Structure
    `OPU_R25` Enum constant of OPU_R25 Message Structure
    `ORA_R33` Enum constant of ORA_R33 Message Structure
    `ORA_R41` Enum constant of ORA_R41 Message Structure
    `ORB_O28` Enum constant of ORB_O28 Message Structure
    `ORD_O04` Enum constant of ORD_O04 Message Structure
    `ORG_O20` Enum constant of ORG_O20 Message Structure
    `ORI_O24` Enum constant of ORI_O24 Message Structure
    `ORL_O22` Enum constant of ORL_O22 Message Structure
    `ORL_O34` Enum constant of ORL_O34 Message Structure
    `ORL_O36` Enum constant of ORL_O36 Message Structure
    `ORL_O40` Enum constant of ORL_O40 Message Structure
    `ORN_O08` Enum constant of ORN_O08 Message Structure
    `ORP_O10` Enum constant of ORP_O10 Message Structure
    `ORS_O06` Enum constant of ORS_O06 Message Structure
    `ORU_R01` Enum constant of ORU_R01 Message Structure
    `ORU_R30` Enum constant of ORU_R30 Message Structure
    `ORU_R31` Enum constant of ORU_R31 Message Structure
    `ORU_R32` Enum constant of ORU_R32 Message Structure
    `ORU_R40` Enum constant of ORU_R40 Message Structure
    `ORU_W01` Enum constant of ORU_W01 Message Structure
    `ORX_O43` Enum constant of ORX_O43 Message Structure
    `OSM_R26` Enum constant of OSM_R26 Message Structure
    `OSR_Q06` Enum constant of OSR_Q06 Message Structure
    `OSU_O41` Enum constant of OSU_O41 Message Structure
    `OUL_R22` Enum constant of OUL_R22 Message Structure
    `OUL_R23` Enum constant of OUL_R23 Message Structure
    `OUL_R24` Enum constant of OUL_R24 Message Structure
    `PEX_P07` Enum constant of PEX_P07 Message Structure
    `PGL_PC6` Enum constant of PGL_PC6 Message Structure
    `PMU_B01` Enum constant of PMU_B01 Message Structure
    `PMU_B03` Enum constant of PMU_B03 Message Structure
    `PMU_B04` Enum constant of PMU_B04 Message Structure
    `PMU_B07` Enum constant of PMU_B07 Message Structure
    `PMU_B08` Enum constant of PMU_B08 Message Structure
    `PPG_PCG` Enum constant of PPG_PCG Message Structure
    `PPP_PCB` Enum constant of PPP_PCB Message Structure
    `PPR_PC1` Enum constant of PPR_PC1 Message Structure
    `QBP_E03` Enum constant of QBP_E03 Message Structure
    `QBP_E22` Enum constant of QBP_E22 Message Structure
    `QBP_Q11` Enum constant of QBP_Q11 Message Structure
    `QBP_Q13` Enum constant of QBP_Q13 Message Structure
    `QBP_Q15` Enum constant of QBP_Q15 Message Structure
    `QBP_Q21` Enum constant of QBP_Q21 Message Structure
    `QBP_Q31` Enum constant of QBP_Q31 Message Structure
    `QBP_Q33` Enum constant of QBP_Q33 Message Structure
    `QBP_Q34` Enum constant of QBP_Q34 Message Structure
    `QBP_Z73` Enum constant of QBP_Z73 Message Structure
    `QCK_Q02` Enum constant of QCK_Q02 Message Structure
    `QCN_J01` Enum constant of QCN_J01 Message Structure
    `QRF_W02` Enum constant of QRF_W02 Message Structure
    `QRY_P04` Enum constant of QRY_P04 Message Structure
    `QRY_Q01` Enum constant of QRY_Q01 Message Structure
    `QRY_Q02` Enum constant of QRY_Q02 Message Structure
    `QSB_Q16` Enum constant of QSB_Q16 Message Structure
    `QVR_Q17` Enum constant of QVR_Q17 Message Structure
    `RAR_RAR` Enum constant of RAR_RAR Message Structure
    `RAS_O17` Enum constant of RAS_O17 Message Structure
    `RDE_O01` Enum constant of RDE_O01 Message Structure
    `RDE_O11` Enum constant of RDE_O11 Message Structure
    `RDR_RDR` Enum constant of RDR_RDR Message Structure
    `RDS_O13` Enum constant of RDS_O13 Message Structure
    `RDY_K15` Enum constant of RDY_K15 Message Structure
    `RDY_Z80` Enum constant of RDY_Z80 Message Structure
    `REF_I12` Enum constant of REF_I12 Message Structure
    `RER_RER` Enum constant of RER_RER Message Structure
    `RGR_RGR` Enum constant of RGR_RGR Message Structure
    `RGV_O15` Enum constant of RGV_O15 Message Structure
    `ROR_ROR` Enum constant of ROR_ROR Message Structure
    `RPA_I08` Enum constant of RPA_I08 Message Structure
    `RPI_I01` Enum constant of RPI_I01 Message Structure
    `RPI_I04` Enum constant of RPI_I04 Message Structure
    `RPL_I02` Enum constant of RPL_I02 Message Structure
    `RPR_I03` Enum constant of RPR_I03 Message Structure
    `RQA_I08` Enum constant of RQA_I08 Message Structure
    `RQI_I01` Enum constant of RQI_I01 Message Structure
    `RQP_I04` Enum constant of RQP_I04 Message Structure
    `RQQ_Q09` Enum constant of RQQ_Q09 Message Structure
    `RRA_O02` Enum constant of RRA_O02 Message Structure
    `RRA_O18` Enum constant of RRA_O18 Message Structure
    `RRD_O14` Enum constant of RRD_O14 Message Structure
    `RRE_O12` Enum constant of RRE_O12 Message Structure
    `RRG_O16` Enum constant of RRG_O16 Message Structure
    `RRI_I12` Enum constant of RRI_I12 Message Structure
    `RSP_E03` Enum constant of RSP_E03 Message Structure
    `RSP_E22` Enum constant of RSP_E22 Message Structure
    `RSP_K11` Enum constant of RSP_K11 Message Structure
    `RSP_K21` Enum constant of RSP_K21 Message Structure
    `RSP_K22` Enum constant of RSP_K22 Message Structure
    `RSP_K23` Enum constant of RSP_K23 Message Structure
    `RSP_K25` Enum constant of RSP_K25 Message Structure
    `RSP_K31` Enum constant of RSP_K31 Message Structure
    `RSP_K32` Enum constant of RSP_K32 Message Structure
    `RSP_K33` Enum constant of RSP_K33 Message Structure
    `RSP_K34` Enum constant of RSP_K34 Message Structure
    `RSP_Z82` Enum constant of RSP_Z82 Message Structure
    `RSP_Z84` Enum constant of RSP_Z84 Message Structure
    `RSP_Z86` Enum constant of RSP_Z86 Message Structure
    `RSP_Z88` Enum constant of RSP_Z88 Message Structure
    `RSP_Z90` Enum constant of RSP_Z90 Message Structure
    `RTB_K13` Enum constant of RTB_K13 Message Structure
    `RTB_Z74` Enum constant of RTB_Z74 Message Structure
    `SDR_S31` Enum constant of SDR_S31 Message Structure
    `SDR_S32` Enum constant of SDR_S32 Message Structure
    `SIU_S12` Enum constant of SIU_S12 Message Structure
    `SLR_S28` Enum constant of SLR_S28 Message Structure
    `SPQ_Q08` Enum constant of SPQ_Q08 Message Structure
    `SRM_S01` Enum constant of SRM_S01 Message Structure
    `SRR_S01` Enum constant of SRR_S01 Message Structure
    `SSR_U04` Enum constant of SSR_U04 Message Structure
    `SSU_U03` Enum constant of SSU_U03 Message Structure
    `STC_S33` Enum constant of STC_S33 Message Structure
    `TBR_R08` Enum constant of TBR_R08 Message Structure
    `TBR_R09` Enum constant of TBR_R09 Message Structure
    `TCU_U10` Enum constant of TCU_U10 Message Structure
    `UDM_Q05` Enum constant of UDM_Q05 Message Structure
    `VQQ_Q07` Enum constant of VQQ_Q07 Message Structure
    `VXU_V04` Enum constant of VXU_V04 Message Structure

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumMessageStructure` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumMessageStructure[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACK

          public static final EnumMessageStructure ACK

      Enum constant of ACK Message Structure

    - #### ACK_I07

          public static final EnumMessageStructure ACK_I07

      Enum constant of ACK_I07 Message Structure

    - #### ADT_A01

          public static final EnumMessageStructure ADT_A01

      Enum constant of ADT_A01 Message Structure

    - #### ADT_A02

          public static final EnumMessageStructure ADT_A02

      Enum constant of ADT_A02 Message Structure

    - #### ADT_A03

          public static final EnumMessageStructure ADT_A03

      Enum constant of ADT_A03 Message Structure

    - #### ADT_A05

          public static final EnumMessageStructure ADT_A05

      Enum constant of ADT_A05 Message Structure

    - #### ADT_A06

          public static final EnumMessageStructure ADT_A06

      Enum constant of ADT_A06 Message Structure

    - #### ADT_A09

          public static final EnumMessageStructure ADT_A09

      Enum constant of ADT_A09 Message Structure

    - #### ADT_A12

          public static final EnumMessageStructure ADT_A12

      Enum constant of ADT_A12 Message Structure

    - #### ADT_A15

          public static final EnumMessageStructure ADT_A15

      Enum constant of ADT_A15 Message Structure

    - #### ADT_A16

          public static final EnumMessageStructure ADT_A16

      Enum constant of ADT_A16 Message Structure

    - #### ADT_A17

          public static final EnumMessageStructure ADT_A17

      Enum constant of ADT_A17 Message Structure

    - #### ADT_A20

          public static final EnumMessageStructure ADT_A20

      Enum constant of ADT_A20 Message Structure

    - #### ADT_A21

          public static final EnumMessageStructure ADT_A21

      Enum constant of ADT_A21 Message Structure

    - #### ADT_A24

          public static final EnumMessageStructure ADT_A24

      Enum constant of ADT_A24 Message Structure

    - #### ADT_A37

          public static final EnumMessageStructure ADT_A37

      Enum constant of ADT_A37 Message Structure

    - #### ADT_A38

          public static final EnumMessageStructure ADT_A38

      Enum constant of ADT_A38 Message Structure

    - #### ADT_A39

          public static final EnumMessageStructure ADT_A39

      Enum constant of ADT_A39 Message Structure

    - #### ADT_A43

          public static final EnumMessageStructure ADT_A43

      Enum constant of ADT_A43 Message Structure

    - #### ADT_A44

          public static final EnumMessageStructure ADT_A44

      Enum constant of ADT_A44 Message Structure

    - #### ADT_A45

          public static final EnumMessageStructure ADT_A45

      Enum constant of ADT_A45 Message Structure

    - #### ADT_A47

          public static final EnumMessageStructure ADT_A47

      Enum constant of ADT_A47 Message Structure

    - #### ADT_A50

          public static final EnumMessageStructure ADT_A50

      Enum constant of ADT_A50 Message Structure

    - #### ADT_A52

          public static final EnumMessageStructure ADT_A52

      Enum constant of ADT_A52 Message Structure

    - #### ADT_A54

          public static final EnumMessageStructure ADT_A54

      Enum constant of ADT_A54 Message Structure

    - #### ADT_A60

          public static final EnumMessageStructure ADT_A60

      Enum constant of ADT_A60 Message Structure

    - #### ADT_A61

          public static final EnumMessageStructure ADT_A61

      Enum constant of ADT_A61 Message Structure

    - #### BAR_P01

          public static final EnumMessageStructure BAR_P01

      Enum constant of BAR_P01 Message Structure

    - #### BAR_P02

          public static final EnumMessageStructure BAR_P02

      Enum constant of BAR_P02 Message Structure

    - #### BAR_P05

          public static final EnumMessageStructure BAR_P05

      Enum constant of BAR_P05 Message Structure

    - #### BAR_P06

          public static final EnumMessageStructure BAR_P06

      Enum constant of BAR_P06 Message Structure

    - #### BAR_P10

          public static final EnumMessageStructure BAR_P10

      Enum constant of BAR_P10 Message Structure

    - #### BAR_P12

          public static final EnumMessageStructure BAR_P12

      Enum constant of BAR_P12 Message Structure

    - #### BPS_O29

          public static final EnumMessageStructure BPS_O29

      Enum constant of BPS_O29 Message Structure

    - #### BRP_O30

          public static final EnumMessageStructure BRP_O30

      Enum constant of BRP_O30 Message Structure

    - #### BRT_O32

          public static final EnumMessageStructure BRT_O32

      Enum constant of BRT_O32 Message Structure

    - #### BTS_O31

          public static final EnumMessageStructure BTS_O31

      Enum constant of BTS_O31 Message Structure

    - #### CRM_C01

          public static final EnumMessageStructure CRM_C01

      Enum constant of CRM_C01 Message Structure

    - #### CSU_C09

          public static final EnumMessageStructure CSU_C09

      Enum constant of CSU_C09 Message Structure

    - #### CCM_I21

          public static final EnumMessageStructure CCM_I21

      Enum constant of CCM_I21 Message Structure

    - #### CCR_I16

          public static final EnumMessageStructure CCR_I16

      Enum constant of CCR_I16 Message Structure

    - #### CCR_I17

          public static final EnumMessageStructure CCR_I17

      Enum constant of CCR_I17 Message Structure

    - #### CCR_I18

          public static final EnumMessageStructure CCR_I18

      Enum constant of CCR_I18 Message Structure

    - #### CCQ_I19

          public static final EnumMessageStructure CCQ_I19

      Enum constant of CCQ_I19 Message Structure

    - #### CCU_I20

          public static final EnumMessageStructure CCU_I20

      Enum constant of CCU_I20 Message Structure

    - #### CCF_I22

          public static final EnumMessageStructure CCF_I22

      Enum constant of CCF_I22 Message Structure

    - #### CCI_I22

          public static final EnumMessageStructure CCI_I22

      Enum constant of CCI_I22 Message Structure

    - #### DFT_P03

          public static final EnumMessageStructure DFT_P03

      Enum constant of DFT_P03 Message Structure

    - #### DFT_P11

          public static final EnumMessageStructure DFT_P11

      Enum constant of DFT_P11 Message Structure

    - #### DSR_P04

          public static final EnumMessageStructure DSR_P04

      Enum constant of DSR_P04 Message Structure

    - #### DSR_Q01

          public static final EnumMessageStructure DSR_Q01

      Enum constant of DSR_Q01 Message Structure

    - #### DSR_Q03

          public static final EnumMessageStructure DSR_Q03

      Enum constant of DSR_Q03 Message Structure

    - #### EAC_U07

          public static final EnumMessageStructure EAC_U07

      Enum constant of EAC_U07 Message Structure

    - #### EAN_U09

          public static final EnumMessageStructure EAN_U09

      Enum constant of EAN_U09 Message Structure

    - #### EAR_U08

          public static final EnumMessageStructure EAR_U08

      Enum constant of EAR_U08 Message Structure

    - #### EDR_R07

          public static final EnumMessageStructure EDR_R07

      Enum constant of EDR_R07 Message Structure

    - #### EHC_E01

          public static final EnumMessageStructure EHC_E01

      Enum constant of EHC_E01 Message Structure

    - #### EHC_E02

          public static final EnumMessageStructure EHC_E02

      Enum constant of EHC_E02 Message Structure

    - #### EHC_E04

          public static final EnumMessageStructure EHC_E04

      Enum constant of EHC_E04 Message Structure

    - #### EHC_E10

          public static final EnumMessageStructure EHC_E10

      Enum constant of EHC_E10 Message Structure

    - #### EHC_E12

          public static final EnumMessageStructure EHC_E12

      Enum constant of EHC_E12 Message Structure

    - #### EHC_E13

          public static final EnumMessageStructure EHC_E13

      Enum constant of EHC_E13 Message Structure

    - #### EHC_E15

          public static final EnumMessageStructure EHC_E15

      Enum constant of EHC_E15 Message Structure

    - #### EHC_E20

          public static final EnumMessageStructure EHC_E20

      Enum constant of EHC_E20 Message Structure

    - #### EHC_E21

          public static final EnumMessageStructure EHC_E21

      Enum constant of EHC_E21 Message Structure

    - #### EHC_E24

          public static final EnumMessageStructure EHC_E24

      Enum constant of EHC_E24 Message Structure

    - #### EHC_E30

          public static final EnumMessageStructure EHC_E30

      Enum constant of EHC_E30 Message Structure

    - #### EHC_E31

          public static final EnumMessageStructure EHC_E31

      Enum constant of EHC_E31 Message Structure

    - #### EQQ_Q04

          public static final EnumMessageStructure EQQ_Q04

      Enum constant of EQQ_Q04 Message Structure

    - #### ERP_R09

          public static final EnumMessageStructure ERP_R09

      Enum constant of ERP_R09 Message Structure

    - #### ESR_U02

          public static final EnumMessageStructure ESR_U02

      Enum constant of ESR_U02 Message Structure

    - #### ESU_U01

          public static final EnumMessageStructure ESU_U01

      Enum constant of ESU_U01 Message Structure

    - #### INR_U06

          public static final EnumMessageStructure INR_U06

      Enum constant of INR_U06 Message Structure

    - #### INU_U05

          public static final EnumMessageStructure INU_U05

      Enum constant of INU_U05 Message Structure

    - #### LSU_U12

          public static final EnumMessageStructure LSU_U12

      Enum constant of LSU_U12 Message Structure

    - #### MDM_T01

          public static final EnumMessageStructure MDM_T01

      Enum constant of MDM_T01 Message Structure

    - #### MDM_T02

          public static final EnumMessageStructure MDM_T02

      Enum constant of MDM_T02 Message Structure

    - #### MFD_MFA

          public static final EnumMessageStructure MFD_MFA

      Enum constant of MFD_MFA Message Structure

    - #### MFK_M01

          public static final EnumMessageStructure MFK_M01

      Enum constant of MFK_M01 Message Structure

    - #### MFN_M02

          public static final EnumMessageStructure MFN_M02

      Enum constant of MFN_M02 Message Structure

    - #### MFN_M04

          public static final EnumMessageStructure MFN_M04

      Enum constant of MFN_M04 Message Structure

    - #### MFN_M05

          public static final EnumMessageStructure MFN_M05

      Enum constant of MFN_M05 Message Structure

    - #### MFN_M06

          public static final EnumMessageStructure MFN_M06

      Enum constant of MFN_M06 Message Structure

    - #### MFN_M07

          public static final EnumMessageStructure MFN_M07

      Enum constant of MFN_M07 Message Structure

    - #### MFN_M08

          public static final EnumMessageStructure MFN_M08

      Enum constant of MFN_M08 Message Structure

    - #### MFN_M09

          public static final EnumMessageStructure MFN_M09

      Enum constant of MFN_M09 Message Structure

    - #### MFN_M10

          public static final EnumMessageStructure MFN_M10

      Enum constant of MFN_M10 Message Structure

    - #### MFN_M11

          public static final EnumMessageStructure MFN_M11

      Enum constant of MFN_M11 Message Structure

    - #### MFN_M12

          public static final EnumMessageStructure MFN_M12

      Enum constant of MFN_M12 Message Structure

    - #### MFN_M13

          public static final EnumMessageStructure MFN_M13

      Enum constant of MFN_M13 Message Structure

    - #### MFN_M15

          public static final EnumMessageStructure MFN_M15

      Enum constant of MFN_M15 Message Structure

    - #### MFN_M16

          public static final EnumMessageStructure MFN_M16

      Enum constant of MFN_M16 Message Structure

    - #### MFN_M17

          public static final EnumMessageStructure MFN_M17

      Enum constant of MFN_M17 Message Structure

    - #### MFN_M18

          public static final EnumMessageStructure MFN_M18

      Enum constant of MFN_M18 Message Structure

    - #### MFQ_M01

          public static final EnumMessageStructure MFQ_M01

      Enum constant of MFQ_M01 Message Structure

    - #### MFR_M01

          public static final EnumMessageStructure MFR_M01

      Enum constant of MFR_M01 Message Structure

    - #### NMD_N02

          public static final EnumMessageStructure NMD_N02

      Enum constant of NMD_N02 Message Structure

    - #### NMR_N01

          public static final EnumMessageStructure NMR_N01

      Enum constant of NMR_N01 Message Structure

    - #### OMB_O27

          public static final EnumMessageStructure OMB_O27

      Enum constant of OMB_O27 Message Structure

    - #### OMD_O03

          public static final EnumMessageStructure OMD_O03

      Enum constant of OMD_O03 Message Structure

    - #### OMG_O19

          public static final EnumMessageStructure OMG_O19

      Enum constant of OMG_O19 Message Structure

    - #### OMI_O23

          public static final EnumMessageStructure OMI_O23

      Enum constant of OMI_O23 Message Structure

    - #### OML_O21

          public static final EnumMessageStructure OML_O21

      Enum constant of OML_O21 Message Structure

    - #### OML_O33

          public static final EnumMessageStructure OML_O33

      Enum constant of OML_O33 Message Structure

    - #### OML_O35

          public static final EnumMessageStructure OML_O35

      Enum constant of OML_O35 Message Structure

    - #### OML_O39

          public static final EnumMessageStructure OML_O39

      Enum constant of OML_O39 Message Structure

    - #### OMN_O07

          public static final EnumMessageStructure OMN_O07

      Enum constant of OMN_O07 Message Structure

    - #### OMP_O09

          public static final EnumMessageStructure OMP_O09

      Enum constant of OMP_O09 Message Structure

    - #### OMS_O05

          public static final EnumMessageStructure OMS_O05

      Enum constant of OMS_O05 Message Structure

    - #### ORB_O28

          public static final EnumMessageStructure ORB_O28

      Enum constant of ORB_O28 Message Structure

    - #### ORD_O04

          public static final EnumMessageStructure ORD_O04

      Enum constant of ORD_O04 Message Structure

    - #### ORG_O20

          public static final EnumMessageStructure ORG_O20

      Enum constant of ORG_O20 Message Structure

    - #### ORI_O24

          public static final EnumMessageStructure ORI_O24

      Enum constant of ORI_O24 Message Structure

    - #### ORL_O22

          public static final EnumMessageStructure ORL_O22

      Enum constant of ORL_O22 Message Structure

    - #### ORL_O34

          public static final EnumMessageStructure ORL_O34

      Enum constant of ORL_O34 Message Structure

    - #### ORL_O36

          public static final EnumMessageStructure ORL_O36

      Enum constant of ORL_O36 Message Structure

    - #### OPL_O37

          public static final EnumMessageStructure OPL_O37

      Enum constant of OPL_O37 Message Structure

    - #### OPR_O38

          public static final EnumMessageStructure OPR_O38

      Enum constant of OPR_O38 Message Structure

    - #### ORL_O40

          public static final EnumMessageStructure ORL_O40

      Enum constant of ORL_O40 Message Structure

    - #### OSU_O41

          public static final EnumMessageStructure OSU_O41

      Enum constant of OSU_O41 Message Structure

    - #### OMQ_O42

          public static final EnumMessageStructure OMQ_O42

      Enum constant of OMQ_O42 Message Structure

    - #### ORX_O43

          public static final EnumMessageStructure ORX_O43

      Enum constant of ORX_O43 Message Structure

    - #### ORN_O08

          public static final EnumMessageStructure ORN_O08

      Enum constant of ORN_O08 Message Structure

    - #### ORP_O10

          public static final EnumMessageStructure ORP_O10

      Enum constant of ORP_O10 Message Structure

    - #### ORS_O06

          public static final EnumMessageStructure ORS_O06

      Enum constant of ORS_O06 Message Structure

    - #### ORU_R01

          public static final EnumMessageStructure ORU_R01

      Enum constant of ORU_R01 Message Structure

    - #### ORU_R30

          public static final EnumMessageStructure ORU_R30

      Enum constant of ORU_R30 Message Structure

    - #### ORU_R31

          public static final EnumMessageStructure ORU_R31

      Enum constant of ORU_R31 Message Structure

    - #### ORU_R32

          public static final EnumMessageStructure ORU_R32

      Enum constant of ORU_R32 Message Structure

    - #### OSR_Q06

          public static final EnumMessageStructure OSR_Q06

      Enum constant of OSR_Q06 Message Structure

    - #### OUL_R22

          public static final EnumMessageStructure OUL_R22

      Enum constant of OUL_R22 Message Structure

    - #### OUL_R23

          public static final EnumMessageStructure OUL_R23

      Enum constant of OUL_R23 Message Structure

    - #### OUL_R24

          public static final EnumMessageStructure OUL_R24

      Enum constant of OUL_R24 Message Structure

    - #### PEX_P07

          public static final EnumMessageStructure PEX_P07

      Enum constant of PEX_P07 Message Structure

    - #### PGL_PC6

          public static final EnumMessageStructure PGL_PC6

      Enum constant of PGL_PC6 Message Structure

    - #### PMU_B01

          public static final EnumMessageStructure PMU_B01

      Enum constant of PMU_B01 Message Structure

    - #### PMU_B03

          public static final EnumMessageStructure PMU_B03

      Enum constant of PMU_B03 Message Structure

    - #### PMU_B04

          public static final EnumMessageStructure PMU_B04

      Enum constant of PMU_B04 Message Structure

    - #### PMU_B07

          public static final EnumMessageStructure PMU_B07

      Enum constant of PMU_B07 Message Structure

    - #### PMU_B08

          public static final EnumMessageStructure PMU_B08

      Enum constant of PMU_B08 Message Structure

    - #### PPG_PCG

          public static final EnumMessageStructure PPG_PCG

      Enum constant of PPG_PCG Message Structure

    - #### PPP_PCB

          public static final EnumMessageStructure PPP_PCB

      Enum constant of PPP_PCB Message Structure

    - #### PPR_PC1

          public static final EnumMessageStructure PPR_PC1

      Enum constant of PPR_PC1 Message Structure

    - #### QBP_Q11

          public static final EnumMessageStructure QBP_Q11

      Enum constant of QBP_Q11 Message Structure

    - #### QBP_Q13

          public static final EnumMessageStructure QBP_Q13

      Enum constant of QBP_Q13 Message Structure

    - #### QBP_Q15

          public static final EnumMessageStructure QBP_Q15

      Enum constant of QBP_Q15 Message Structure

    - #### QBP_Q21

          public static final EnumMessageStructure QBP_Q21

      Enum constant of QBP_Q21 Message Structure

    - #### QBP_Q31

          public static final EnumMessageStructure QBP_Q31

      Enum constant of QBP_Q31 Message Structure

    - #### QBP_Z73

          public static final EnumMessageStructure QBP_Z73

      Enum constant of QBP_Z73 Message Structure

    - #### QBP_E03

          public static final EnumMessageStructure QBP_E03

      Enum constant of QBP_E03 Message Structure

    - #### QBP_E22

          public static final EnumMessageStructure QBP_E22

      Enum constant of QBP_E22 Message Structure

    - #### QCK_Q02

          public static final EnumMessageStructure QCK_Q02

      Enum constant of QCK_Q02 Message Structure

    - #### QCN_J01

          public static final EnumMessageStructure QCN_J01

      Enum constant of QCN_J01 Message Structure

    - #### QRY_P04

          public static final EnumMessageStructure QRY_P04

      Enum constant of QRY_P04 Message Structure

    - #### QRY_Q01

          public static final EnumMessageStructure QRY_Q01

      Enum constant of QRY_Q01 Message Structure

    - #### QRY_Q02

          public static final EnumMessageStructure QRY_Q02

      Enum constant of QRY_Q02 Message Structure

    - #### QSB_Q16

          public static final EnumMessageStructure QSB_Q16

      Enum constant of QSB_Q16 Message Structure

    - #### QVR_Q17

          public static final EnumMessageStructure QVR_Q17

      Enum constant of QVR_Q17 Message Structure

    - #### RAR_RAR

          public static final EnumMessageStructure RAR_RAR

      Enum constant of RAR_RAR Message Structure

    - #### RAS_O17

          public static final EnumMessageStructure RAS_O17

      Enum constant of RAS_O17 Message Structure

    - #### RDE_O01

          public static final EnumMessageStructure RDE_O01

      Enum constant of RDE_O01 Message Structure

    - #### RDE_O11

          public static final EnumMessageStructure RDE_O11

      Enum constant of RDE_O11 Message Structure

    - #### RDR_RDR

          public static final EnumMessageStructure RDR_RDR

      Enum constant of RDR_RDR Message Structure

    - #### RDS_O13

          public static final EnumMessageStructure RDS_O13

      Enum constant of RDS_O13 Message Structure

    - #### RDY_K15

          public static final EnumMessageStructure RDY_K15

      Enum constant of RDY_K15 Message Structure

    - #### RDY_Z80

          public static final EnumMessageStructure RDY_Z80

      Enum constant of RDY_Z80 Message Structure

    - #### REF_I12

          public static final EnumMessageStructure REF_I12

      Enum constant of REF_I12 Message Structure

    - #### RER_RER

          public static final EnumMessageStructure RER_RER

      Enum constant of RER_RER Message Structure

    - #### RGR_RGR

          public static final EnumMessageStructure RGR_RGR

      Enum constant of RGR_RGR Message Structure

    - #### RGV_O15

          public static final EnumMessageStructure RGV_O15

      Enum constant of RGV_O15 Message Structure

    - #### ROR_ROR

          public static final EnumMessageStructure ROR_ROR

      Enum constant of ROR_ROR Message Structure

    - #### RPA_I08

          public static final EnumMessageStructure RPA_I08

      Enum constant of RPA_I08 Message Structure

    - #### RPI_I01

          public static final EnumMessageStructure RPI_I01

      Enum constant of RPI_I01 Message Structure

    - #### RPI_I04

          public static final EnumMessageStructure RPI_I04

      Enum constant of RPI_I04 Message Structure

    - #### RPL_I02

          public static final EnumMessageStructure RPL_I02

      Enum constant of RPL_I02 Message Structure

    - #### RPR_I03

          public static final EnumMessageStructure RPR_I03

      Enum constant of RPR_I03 Message Structure

    - #### RQA_I08

          public static final EnumMessageStructure RQA_I08

      Enum constant of RQA_I08 Message Structure

    - #### RQI_I01

          public static final EnumMessageStructure RQI_I01

      Enum constant of RQI_I01 Message Structure

    - #### RQP_I04

          public static final EnumMessageStructure RQP_I04

      Enum constant of RQP_I04 Message Structure

    - #### RQQ_Q09

          public static final EnumMessageStructure RQQ_Q09

      Enum constant of RQQ_Q09 Message Structure

    - #### RRA_O02

          public static final EnumMessageStructure RRA_O02

      Enum constant of RRA_O02 Message Structure

    - #### RRA_O18

          public static final EnumMessageStructure RRA_O18

      Enum constant of RRA_O18 Message Structure

    - #### RRD_O14

          public static final EnumMessageStructure RRD_O14

      Enum constant of RRD_O14 Message Structure

    - #### RRE_O12

          public static final EnumMessageStructure RRE_O12

      Enum constant of RRE_O12 Message Structure

    - #### RRG_O16

          public static final EnumMessageStructure RRG_O16

      Enum constant of RRG_O16 Message Structure

    - #### RRI_I12

          public static final EnumMessageStructure RRI_I12

      Enum constant of RRI_I12 Message Structure

    - #### RSP_E03

          public static final EnumMessageStructure RSP_E03

      Enum constant of RSP_E03 Message Structure

    - #### RSP_E22

          public static final EnumMessageStructure RSP_E22

      Enum constant of RSP_E22 Message Structure

    - #### RSP_K11

          public static final EnumMessageStructure RSP_K11

      Enum constant of RSP_K11 Message Structure

    - #### RSP_K21

          public static final EnumMessageStructure RSP_K21

      Enum constant of RSP_K21 Message Structure

    - #### RSP_K22

          public static final EnumMessageStructure RSP_K22

      Enum constant of RSP_K22 Message Structure

    - #### RSP_K23

          public static final EnumMessageStructure RSP_K23

      Enum constant of RSP_K23 Message Structure

    - #### RSP_K25

          public static final EnumMessageStructure RSP_K25

      Enum constant of RSP_K25 Message Structure

    - #### RSP_K31

          public static final EnumMessageStructure RSP_K31

      Enum constant of RSP_K31 Message Structure

    - #### RSP_K32

          public static final EnumMessageStructure RSP_K32

      Enum constant of RSP_K32 Message Structure

    - #### RSP_Z82

          public static final EnumMessageStructure RSP_Z82

      Enum constant of RSP_Z82 Message Structure

    - #### RSP_Z84

          public static final EnumMessageStructure RSP_Z84

      Enum constant of RSP_Z84 Message Structure

    - #### RSP_Z86

          public static final EnumMessageStructure RSP_Z86

      Enum constant of RSP_Z86 Message Structure

    - #### RSP_Z88

          public static final EnumMessageStructure RSP_Z88

      Enum constant of RSP_Z88 Message Structure

    - #### RSP_Z90

          public static final EnumMessageStructure RSP_Z90

      Enum constant of RSP_Z90 Message Structure

    - #### RTB_K13

          public static final EnumMessageStructure RTB_K13

      Enum constant of RTB_K13 Message Structure

    - #### RTB_Z74

          public static final EnumMessageStructure RTB_Z74

      Enum constant of RTB_Z74 Message Structure

    - #### SIU_S12

          public static final EnumMessageStructure SIU_S12

      Enum constant of SIU_S12 Message Structure

    - #### SPQ_Q08

          public static final EnumMessageStructure SPQ_Q08

      Enum constant of SPQ_Q08 Message Structure

    - #### SDR_S31

          public static final EnumMessageStructure SDR_S31

      Enum constant of SDR_S31 Message Structure

    - #### SDR_S32

          public static final EnumMessageStructure SDR_S32

      Enum constant of SDR_S32 Message Structure

    - #### STC_S33

          public static final EnumMessageStructure STC_S33

      Enum constant of STC_S33 Message Structure

    - #### SLR_S28

          public static final EnumMessageStructure SLR_S28

      Enum constant of SLR_S28 Message Structure

    - #### SRM_S01

          public static final EnumMessageStructure SRM_S01

      Enum constant of SRM_S01 Message Structure

    - #### SRR_S01

          public static final EnumMessageStructure SRR_S01

      Enum constant of SRR_S01 Message Structure

    - #### SSR_U04

          public static final EnumMessageStructure SSR_U04

      Enum constant of SSR_U04 Message Structure

    - #### SSU_U03

          public static final EnumMessageStructure SSU_U03

      Enum constant of SSU_U03 Message Structure

    - #### TBR_R08

          public static final EnumMessageStructure TBR_R08

      Enum constant of TBR_R08 Message Structure

    - #### TBR_R09

          public static final EnumMessageStructure TBR_R09

      Enum constant of TBR_R09 Message Structure

    - #### TCU_U10

          public static final EnumMessageStructure TCU_U10

      Enum constant of TCU_U10 Message Structure

    - #### UDM_Q05

          public static final EnumMessageStructure UDM_Q05

      Enum constant of UDM_Q05 Message Structure

    - #### VQQ_Q07

          public static final EnumMessageStructure VQQ_Q07

      Enum constant of VQQ_Q07 Message Structure

    - #### VXU_V04

          public static final EnumMessageStructure VXU_V04

      Enum constant of VXU_V04 Message Structure

    - #### ORU_W01

          public static final EnumMessageStructure ORU_W01

      Enum constant of ORU_W01 Message Structure

    - #### QRF_W02

          public static final EnumMessageStructure QRF_W02

      Enum constant of QRF_W02 Message Structure

    - #### ORA_R33

          public static final EnumMessageStructure ORA_R33

      Enum constant of ORA_R33 Message Structure

    - #### ORA_R41

          public static final EnumMessageStructure ORA_R41

      Enum constant of ORA_R41 Message Structure

    - #### ORU_R40

          public static final EnumMessageStructure ORU_R40

      Enum constant of ORU_R40 Message Structure

    - #### OSM_R26

          public static final EnumMessageStructure OSM_R26

      Enum constant of OSM_R26 Message Structure

    - #### OPU_R25

          public static final EnumMessageStructure OPU_R25

      Enum constant of OPU_R25 Message Structure

    - #### CQU_I19

          public static final EnumMessageStructure CQU_I19

      Enum constant of CQU_I19 Message Structure

    - #### DBC_O41

          public static final EnumMessageStructure DBC_O41

      Enum constant of DBC_O41 Message Structure

    - #### DBU_O42

          public static final EnumMessageStructure DBU_O42

      Enum constant of DBU_O42 Message Structure

    - #### QBP_Q33

          public static final EnumMessageStructure QBP_Q33

      Enum constant of QBP_Q33 Message Structure

    - #### RSP_K33

          public static final EnumMessageStructure RSP_K33

      Enum constant of RSP_K33 Message Structure

    - #### QBP_Q34

          public static final EnumMessageStructure QBP_Q34

      Enum constant of QBP_Q34 Message Structure

    - #### RSP_K34

          public static final EnumMessageStructure RSP_K34

      Enum constant of RSP_K34 Message Structure

    - #### DRG_O43

          public static final EnumMessageStructure DRG_O43

      Enum constant of DRG_O43 Message Structure

    - #### DER_O44

          public static final EnumMessageStructure DER_O44

      Enum constant of DER_O44 Message Structure

    - #### DEO_O45

          public static final EnumMessageStructure DEO_O45

      Enum constant of DEO_O45 Message Structure

    - #### DPR_O48

          public static final EnumMessageStructure DPR_O48

      Enum constant of DPR_O48 Message Structure

    - #### DEL_O46

          public static final EnumMessageStructure DEL_O46

      Enum constant of DEL_O46 Message Structure

    - #### DRC_O47

          public static final EnumMessageStructure DRC_O47

      Enum constant of DRC_O47 Message Structure

  - ### Method Detail

    - #### values

          public static EnumMessageStructure[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumMessageStructure c : EnumMessageStructure.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumMessageStructure valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Enum Structure on which it is called.